Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command
Interface CommandContainerListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  MemberManager

    public interface CommandContainerListener

extends java.util.EventListener

Listens to events generated by `CommandContainer`s. The events covered by the listener are as follows:

- the addition and removal of commands from anywhere in the container heirarchy.
- changes to container properties anywhere in the container heirarchy.
- changes to the heirarchy itself.

Method Summary
`void` | `commandAdded(CommandContainerEvent event)` Fired when a command is added to the container heirarchy.
`void` | `commandRemoved(CommandContainerEvent event)` Fired when a command is removed from the container heirarchy.
`void` | `containerPropertyChanged(java.beans.PropertyChangeEvent event)` Fired when a property changes within to the container heirarchy.
`void` | `parentHierarchyChanged(CommandContainerEvent event)` Fired when the container heirarchy has changed..

Method Detail

### commandAdded

    void commandAdded(CommandContainerEvent event)

  Fired when a command is added to the container heirarchy.

  Parameters:
    `event` - the event.

### commandRemoved

    void commandRemoved(CommandContainerEvent event)

  Fired when a command is removed from the container heirarchy.

  Parameters:
    `event` - the event.

### parentHierarchyChanged

    void parentHierarchyChanged(CommandContainerEvent event)

  Fired when the container heirarchy has changed..

  Parameters:
    `event` - the event.

### containerPropertyChanged

    void containerPropertyChanged(java.beans.PropertyChangeEvent event)

  Fired when a property changes within to the container heirarchy.

  Parameters:
    `event` - the event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch